## org.jibx.runtime.impl
Interface BackFillReference

All Known Implementing Classes:
  BackFillArray

    public interface BackFillReference

Backfill reference item, used for filling in forward references to objects. Each reference to an item must define a class implementing this interface, to be used when a referenced item is not yet defined. The references for a particular object are collected by a BackFillHolder instance, and are processed when the object is defined.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`void` `backfill(java.lang.Object obj)` Define referenced object.

Method Detail

### backfill

    void backfill(java.lang.Object obj)

  Define referenced object. This method is called by the framework when the forward-referenced item is defined.

  Parameters:
    `obj` - referenced object

Project Web Site |